# mirale999 first release, with Thomthom's help.
# Permission to use, copy, modify, and distribute this software for 
# any purpose and without fee is hereby granted
# Freely use
# Name               :          Named_Scene.rb
# Date               :          v1.0 11/12/6
# Description        :          To Let you rename it upon adding a new scene
# Menu Item          :          View -> Add Named Scene

# It works like this :
# Hit the hotkey or click the menu item, give you an inputbox, you can
# choose to give the new a unique name, Or leave it to its default and
# create like normal: Scene 1- Scene 2- Scene 3-...
#----------------------------------------------------------------------------

require 'sketchup.rb'

module Named_Scene
  
  # Add menu items.
  unless file_loaded? File::basename(__FILE__)
    add_separator_to_menu("View")
    UI.menu("View").add_item("Add Named Scene") { self.add_namedScene }
  end

  @@scene_i = 1

  def self.add_namedScene
    model = Sketchup.active_model
    pages = model.pages    

    # Ask user for page name.
    list = []
    prompts = ["Scene Name:"]
    defaults = ["Scene"+" "+"#{@@scene_i}" ]
    input = UI.inputbox( prompts, defaults, list, "Add Named Scene" )

    # Check if the user cancelled.
    return if input==false

    # Get data from result array
    scene_name = input
    @@scene_i = @@scene_i + 1

    status = pages.add( scene_name.to_s )
  end
  
end

#-----------------------------------------------------------------------------
    file_loaded File::basename(__FILE__)
#-----------------------------------------------------------------------------
 
